from PyQt5.QtWidgets import QWidget
import pyqtgraph as pg

from channel import Ui_Form

class channelInfoWidget(QWidget, Ui_Form):
    def __init__(self, parent):
        QWidget.__init__(self)
        self.setupUi(self)

        self.temp_plot = pg.PlotWidget()
        self.temp_layout.addWidget(self.temp_plot)
        self.temp_plot.setLabel('left', "temp", units='°C')
        self.temp_plot.setLabel('bottom', "time")#, units='V')

        self.error_plot = pg.PlotWidget()
        self.error_layout.addWidget(self.error_plot)
        self.error_plot.setLabel('left', "error", units='°C')
        self.error_plot.setLabel('bottom', "time")#, units='V')

        self.output_plot = pg.PlotWidget()
        self.output_layout.addWidget(self.output_plot)
        self.output_plot.setLabel('left', "U", units='V')
        self.output_plot.setLabel('bottom', "time")#, units='V')
